import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import { useEffect, useState } from "react";
import EstimatedAmount from "./components/estimatedAmount";
import KindList from "./components/kindList";
import styles  from './index.module.scss'
 
 export default () => {
     const [price, setPrice] = useState(123000.33)

     return (
        <View className={styles.order_main}>
            <View className={styles.order_title}>
               <Text>收货方式</Text>
               <View className={styles.order_status}>物流</View>                
               <View className={styles.order_status}>上门自提</View>                
            </View>
            <View className={styles.order_address}>
                <View className={classnames(styles.order_address_icon, 'iconfont icon-shaixuan')}></View>
                <View className={styles.order_address_text}>请选择收货地址及信息</View>
                <View className={classnames(styles.order_address_more_icon, 'iconfont icon-jiantou')}></View>
            </View>
            <KindList/>
            <View className={styles.order_desc}>
                <View className={styles.order_desc_con}>订单备注</View>
                <View className={styles.order_desc_text}>点击填写</View>
                <View className={classnames(styles.miconfont, 'iconfont icon-jiantou')}></View>
            </View>
            <View className={styles.submit_order}>
                <View className={styles.submit_order_number}>
                    <EstimatedAmount style={{color:'#007AFF'}} number={price}/>    
                    <View className={styles.order_number_desc}>2种面料，6种颜色，共6条</View>
                </View>
                <View className={styles.order_btn}>提交订单</View>    
            </View>        
            <View className="common_safe_area_y"></View>
        </View>
     )
 }